Bug 142975 - wish better support for RAW photo handling
Summary: wish better support for RAW photo handling
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: ImageEditor-RawImport (show other bugs)
Version: 1.0.0
Platform: unspecified Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-03-14 19:38 UTC by Simon Oosthoek
Modified: 2017-07-31 15:46 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 0.9.5


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Oosthoek 2007-03-14 19:38:10 UTC
Version:            (using KDE KDE 3.5.6)
Installed from:    Unlisted Binary Package
OS:                Linux

I think the process for handling photos from flash cards or digicams is very good with digikam and I would like to use it more (i.e. stay inside digikam for longer), but for that to happen, I'd like to see some features that would help me handle the RAW files that I shoot.

Basically what I do is, download the images using digikam (insert card, choose upload to digikam, choose an album to download and do that). That's when I switch to the commandline and run a simple bash for-loop to convert all the .ARW files to jpg using dcraw -w -c | convert file.ARW.jpg. After the conversion I copy the exif information using exiftool to the output jpg.

Later, when I want a different interpretation of the raw data, I use the gimp, because it has UFRAW to import the raw information. This gives a quick way to interpret the RAW information. I realise this isn't "necessary" in digikam, since the editor /can/ handle 16 bit data. However this way of working with the raw files is very intuitive to me and the digikam editor isn't for some reason.

Using RAW files means that in-camera noise reduction (for high ISO), sharpening and white-balance is a necessary step (at least the option) when converting to jpg, which is still the de-facto standard for displaying and printing.

So what I'd like digikam to do is while downloading the RAW files, create a smaller preview version of the RAW file using some generic settings for dcraw (see above). That way I can wait until the download batchjob is done and then I can quickly preview all the images. Then when I open one, I'd like to get a dialogue with something like UFRAW processing, with the addition of NR perhaps. Then I'd like to edit the resulting 16-bit data and save it (and a jpg of the current interpretation). Later I may want to tweak the interpretation of the RAW data...

I hope this makes sense to you, I'm not an experienced programmer, but I could try helping with the debugging.

Thanks

Simon
Comment 1 Simon Oosthoek 2007-04-10 16:47:39 UTC
Just revisiting this bug...

Actually, shooting RAW is mostly for keeping the best possible record of the recorded image, leaving the most flexibility for interpretation into a viewable/printable image. (Printers can/could have a larger colourspace than a screen for example).

So a photo archiving tool should keep track of viewable images and if available, their RAW originals (digital negatives).

In digikam, this could be done by keeping a separate database of RAW files and store the RAW filename and a hash of the data (to check integrity and possible filename confusions due to rollover of numbers) in the exif fields of the viewable images (if this is possible in the viewable format). The latter is probably limited to viewable images created via digikam's interface.

The interpretation of the RAW files could be internal or a call to an external program (like dcraw or any other)

Cheers

Simon

BTW, there's a movement going on for an open RAW format at http://www.openraw.org/

Comment 2 caulier.gilles 2008-08-05 14:51:59 UTC
SVN commit 842507 by cgilles:

digiKam from KDE3 branch : new tool to import RAW file in editor 
There are 2 way to handle RAW file in editor :

1/ using auto-gamma. User let's digiKam import RAW image using default RAW decoding setting from config panel. An Autogamma is applied to image.
This option is used by default when you open image in editor. Toi change it, go to Image editor config panel and set on "Use Raw Import tool" option.
2/ using Raw Import tool. In this way a dialog with all RAW decoding settings and a preview of decoded image is displayed. 
Histogram is available, and panning/zomming over the preview is possible.

Note: this Raw import tool is also available with Showfoto of course...

A preview of tool in action can be see on digiKam-labs flickr photo pool: 

http://farm4.static.flickr.com/3097/2735517982_598f1e30c3_o.png

TODO : * included all Color management settings relevant of RAW decoding. display this settings if digiKam Color Management is on.
       * added a gamma adjustement with RAW decoding.
       * removed Tools/RAW Converter (single) option provided by RAW converter kipi-plugin which become obsolete here 
       (Batch RAW converter will still available). Remplace this option by a link to Raw Import tool directly.
       
BUG: 142975
BUG: 150457
BUG: 155074
BUG: 155076




 M  +1 -1      imageeditor/canvas/Makefile.am  
 M  +16 -3     imageeditor/canvas/dimginterface.cpp  
 M  +4 -0      imageeditor/canvas/iofilesettingscontainer.h  
 M  +4 -2      imageeditor/editor/Makefile.am  
 M  +2 -0      imageeditor/editor/editorwindow.cpp  
 M  +56 -70    imageeditor/rawimport/rawimportdlg.cpp  
 M  +2 -1      imageeditor/rawimport/rawimportdlg.h  
 M  +23 -15    setup/setupeditor.cpp  
 M  +1 -1      setup/setupeditor.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=842507
Comment 3 Dominic Lyons 2009-06-01 15:13:16 UTC
Has the feature of the RAW Import Module been removed in 0.10.0?
Mass RAW Import is still available (although there's no histogram) but I couldn't find an option to let the Import Module pop up when opening for editing.
Comment 4 caulier.gilles 2009-06-01 15:41:58 UTC
No (:=))) It still available.

Go to editor settings page, and set on the right option...

Gilles Caulier
Comment 5 Dominic Lyons 2009-06-01 15:58:41 UTC
Oh, thank you.  I seem to be very blind ;-)
I have looked in the settings for RAW Import...